#%%
import os
import sys
import time
import pyfas as fa


def getTPLData(tpl_path, f_name):
    tplpath = tpl_path
    fname = f_name
    tpl = fa.Tpl(tplpath + fname)
    # fielter_rend = tpl.filter_trends(trend)
    # view_trend = tpl.view_trends(trend)
    # tpl.label # find number to extract in tpl.extract()
    # keys =tpl.data.keys # find number to extract in tpl.extract()
    tpl.extract(0)
    tpl.extract(1)
    tpl.extract(2)
    tpl.extract(3)
    tpl.extract(4)

    time = tpl.time
    LIQC = tpl.data[1]
    QGST = tpl.data[2]
    QWST = tpl.data[3]
    PT = tpl.data[4]

    return time, LIQC, QGST, QWST, PT


# time, LIQC, QGST, QWST, PT = getTPLData("OLGA/", "12.tpl")

# %%
def getPPLData(tpl_path, f_name):
    # hard coded indexes. check ppl.filter_data("1") etc.
    # ppldata geometry data[index][0]
    # ppldata timeseries data[index][1][timestep]
    tplpath = tpl_path
    fname = f_name
    ppl = fa.Ppl(tplpath + fname)

    ppl.time
    ppl.extract(1)
    ppl.extract(2)
    ppl.extract(3)
    ppl.extract(4)
    ppl.extract(5)
    ppl.extract(6)
    ppl.extract(7)
    ppl.extract(10)

    time = ppl.time
    ID = ppl.data[1]
    UG = ppl.data[2]
    UL = ppl.data[3]
    DPZA = ppl.data[4]
    DPZF = ppl.data[5]
    DPZG = ppl.data[6]
    HOL = ppl.data[7]
    PTb = ppl.data[10]

    return time, ID, UG, UL, DPZA, DPZF, DPZG, HOL, PTb


# ID, UG, UL, HOL = getPPLData("OLGA/", "13.ppl")
# %%
